<!DOCTYPE html>
<html layout:decorate="~{fragments/layout}">

<head>
	<title> Ini home</title>
	<script src="/3.5.1.min.js"></script> 
</head>

<body>
	<div layout:fragment="content">
		<h2>YO HO HO HO !</h2>
		<table border="1">
			<tr>
				<td>Nama Lengkap</td>
				<td><input type="text" id="nama"></td>
			</tr>
			<tr>
				<td>Gender</td>
				<td> <select id="gender">
						<option>Pria</option>
						<option>Wanita</option>
					</select></td>
			</tr>
			<tr>
				<td>Agama : </td>
				<td>
					<input type="radio" id="p1" name="agama" value="islam">Islam<br>
					<input type="radio" id="p2" name="agama" value="kristen">kristen<br>
					<input type="radio" id="p3" name="agama" value="hindu">Hindu<br>
					<input type="radio" id="p4" name="agama" value="buddha">Buddha<br>
					<input type="radio" id="p5" name="agama" value="konghucu">Konghucu<br>
				</td>
			</tr>
			<tr>
				<td>Alamat</td>
				<td><textarea id="alamat"></textarea></td>
			</tr>

			<td colspan="2">
				<center>
					<button onclick="saveData()">Cetak</button>
					<button onclick="saveJquery()">save jQuery</button>
				</center>
			</td>
		</table>
	</div>

	<div id="isi_data">
		<h1>Isi Data</h1>
	</div>

	<script>
		function saveData() {
			var nama = document.getElementById("nama").value;
			var gender = document.getElementById("gender").value;
			var alamat = document.getElementById("alamat").value;

			var agama = ""
			if (document.getElementById("p1").checked)
				agama = document.getElementById("p1").value;
			else if (document.getElementById("p2").checked)
				agama = document.getElementById("p2").value;
			else if (document.getElementById("p3").checked)
				agama = document.getElementById("p3").value;
			else if (document.getElementById("p4").checked)
				agama = document.getElementById("p4").value;
			else if (document.getElementById("p5").checked)
				agama = document.getElementById("p5").value;
			else agama = "Ateis"

			var str = "<h1> Isi Data </h1>"
			str += "<p> Nama Lengkap : " + nama + "</p>"
			str += "<p> Gender : " + gender + "</p>"
			str += "<p> Agama : " + agama + "<p>"
			str += "<p> Alamat : " + alamat + "</p>"

			document.getElementById("isi_data").innerHTML = str
		}

		function saveJquery() {
			var nama = $("#nama").val();
			var gender = $("#gender").val();
			var alamat = $("#alamat").val();

			var agama = ""
			if ($("#p1").is(":checked"))
				agama = $("#p1").val();
			else if ($("#p2").is(":checked"))
				agama = $("#p2").val();
			else if ($("#p3").is(":checked"))
				agama = $("#p3").val();
			else if ($("#p4").is(":checked"))
				agama = $("#p4").val();
			else if ($("#p5").is(":checked"))
				agama = $("#p5").val();
			else agama = "Ateis"

			var str = "<h1> Isi Data </h1>"
			str += "<p> Nama Lengkap : " + nama + "</p>"
			str += "<p> Gender : " + gender + "</p>"
			str += "<p> Alamat : " + alamat + "</p>"
			str += "<p> Agama : " + agama + "<p>"

			$("#isi_data").html(str)
		}
	</script>

</body>

</htmllayout:decorate="~{fragments/layout}">